#!/bin/bash

# Setup environment
if [[ ! $PREFIX ]]; then
    . ./env.sh
fi

mkdir $PREFIX
mkdir $PREFIX/build
cd $PREFIX/build

# Mac OS X doesn't have wget, so let's install it for SourceForge downloads
if ! which wget >/dev/null; then
    cd $PREFIX/build
    curl -O http://ftp.gnu.org/gnu/wget/wget-1.11.4.tar.gz
    tar -xvzf wget-1.11.4.tar.gz
    cd wget-1.11.4
    ./configure --prefix=$PREFIX
    make
    make install
fi

# Clear any existing stuff
rm -rf $PREFIX/build/*

# Install yasm (assembler)
cd $PREFIX/build
wget http://www.tortall.net/projects/yasm/releases/yasm-0.7.2.tar.gz
tar -xvzf yasm-0.7.2.tar.gz
cd yasm-0.7.2
./configure --prefix=$PREFIX
make -j2
make install

# Install lame (mp3 encoder)
cd $PREFIX/build
wget http://downloads.sourceforge.net/lame/lame-398-2.tar.gz
tar -xvzf lame-398-2.tar.gz
cd lame-398-2
./configure --prefix=$PREFIX
make -j2
make install

# Install FAAD2 (AAC decoder)
cd $PREFIX/build
wget http://downloads.sourceforge.net/faac/faad2-2.7.tar.bz2
tar -xjvf faad2-2.7.tar.bz2
cd faad2-2.7
./configure --prefix=$PREFIX
make -j2
make install

# Install FAAC (AAC encoder)
cd $PREFIX/build
wget http://downloads.sourceforge.net/faac/faac-1.28.tar.bz2
tar -xjvf faac-1.28.tar.bz2
cd faac-1.28
./configure --prefix=$PREFIX
make
make install

# Install x264
cd $PREFIX/build
wget ftp://ftp.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-20090310-2245.tar.bz2
tar -xvjf x264-snapshot-20090310-2245.tar.bz2
cd x264-snapshot-20090310-2245
./configure --enable-pthread --prefix=$PREFIX --extra-cflags=-I$PREFIX/include --extra-ldflags=-L$PREFIX/lib
make -j2
make install

# Install FFMPEG
cd $PREFIX/build
svn co -r 17942 --ignore-externals svn://svn.ffmpeg.org/ffmpeg/trunk ffmpeg
cd ffmpeg
svn co -r 28934 svn://svn.ffmpeg.org/mplayer/trunk/libswscale
./configure --enable-gpl --enable-nonfree --enable-pthreads --enable-libfaac --enable-libfaad  --enable-libmp3lame --enable-libx264 --prefix=$PREFIX --extra-cflags=-I$PREFIX/include --extra-ldflags=-L$PREFIX/lib
make -j2
make install

