#!/bin/bash

export PREFIX=`pwd`/win32/install

export AR=i586-mingw32msvc-ar
export CC=i586-mingw32msvc-cc
export CXX=i586-mingw32msvc-c++
export LD=i586-mingw32msvc-ld
export NM=i586-mingw32msvc-nm
export RANLIB=i586-mingw32msvc-ranlib
export STRIP=i586-mingw32msvc-strip

export CFLAGS="-mno-cygwin -I/usr/i586-mingw32msvc/include -I$PREFIX/include -D_X86_"
export LDFLAGS="-mno-cygwin -L/usr/i586-mingw32msvc/lib -L$PREFIX/lib"

export PKG_CONFIG_PATH=$PREFIX/lib/pkgconfig:$PKG_CONFIG_PATH

mkdir win32
cd win32

mkdir install

# Get pthreads!
cd install
mkdir bin
mkdir include
mkdir lib
cd include
wget ftp://sourceware.org/pub/pthreads-win32/dll-latest/include/pthread.h
wget ftp://sourceware.org/pub/pthreads-win32/dll-latest/include/sched.h
sed -i 's/#if PTW32_LEVEL >= PTW32_LEVEL_MAX/#if 1/' sched.h
wget ftp://sourceware.org/pub/pthreads-win32/dll-latest/include/semaphore.h
cd ../lib
wget ftp://sourceware.org/pub/pthreads-win32/dll-latest/lib/pthreadGC2.dll
cd ../bin
ln -s ../lib/pthreadGC2.dll .
ln -s pthreadGC2.dll pthread.dll
cd ../..

# faac
wget http://downloads.sourceforge.net/faac/faac-1.26.tar.gz
tar -xvzf faac-1.26.tar.gz
cd faac
./bootstrap
./configure --prefix=$PREFIX --without-mp4v2 --host=i586-mingw32msvc
make
make install
cd ..

# faad
wget http://downloads.sourceforge.net/faac/faad2-2.6.1.tar.gz
tar -xvzf faad2-2.6.1.tar.gz
cd faad2
./bootstrap
./configure --prefix=$PREFIX --enable-static --disable-shared
cd libfaad
make
make install
cd ../..

# x264
git clone git://git.videolan.org/x264.git
cd x264
./configure --host=i586-mingw32msvc --prefix=$PREFIX
sed -i 's/ranlib/$(RANLIB)/' Makefile
sed -i 's/strip/$(STRIP)/' Makefile
make -j2
make install
cd ..

# ffmpeg
svn checkout svn://svn.mplayerhq.hu/ffmpeg/trunk ffmpeg
cd ffmpeg
./configure --enable-cross-compile --target-os=mingw32 \
--cross-prefix=i586-mingw32msvc- --enable-memalign-hack --enable-gpl \
--enable-pthreads --enable-postproc --enable-swscale --disable-ffplay \
--disable-ffserver --enable-avfilter --enable-libx264 --enable-libfaad --enable-libfaac --prefix=$PREFIX
make -j2
make install
cd ..

