#!/bin/bash

export PREFIX=`pwd`/ffmpeg/install

export PKG_CONFIG_PATH=$PREFIX/lib/pkgconfig:$PKG_CONFIG_PATH

mkdir ffmpeg
cd ffmpeg

mkdir install

# yasm
wget http://www.tortall.net/projects/yasm/releases/yasm-0.7.1.tar.gz
tar -xvzf yasm-0.7.1.tar.gz
cd yasm-0.7.1
./configure --prefix=$PREFIX
make -j2
make install
cd ..

# faac
wget http://downloads.sourceforge.net/faac/faac-1.26.tar.gz
tar -xvzf faac-1.26.tar.gz
cd faac
./bootstrap
./configure --prefix=$PREFIX --without-mp4v2
make -j2
make install
cd ..

# x264
git clone git://git.videolan.org/x264.git
cd x264
./configure --prefix=$PREFIX
make -j2
make install
cd ..

# ffmpeg
svn checkout svn://svn.mplayerhq.hu/ffmpeg/trunk ffmpeg
cd ffmpeg
./configure --enable-gpl \
--enable-pthreads --enable-postproc --enable-swscale --disable-ffplay \
--disable-ffserver --enable-avfilter --enable-libx264 --enable-libfaac --prefix=$PREFIX
make -j2
make install
cd ..

