#!/usr/bin/env python

"""
    STP Video Encoder & Uploader
    ============================
    A script to easily encode and upload videos. Output formats and upload 
    locations can be given based on regular expressions in the configuration
    file.
    
    Supported video formats include:
    
     * H.264/AAC in MP4 (for display online with e.g. JW FLV)
     * MPEG2 audio/video (for writing DVDs)
     * WMV2/WMA2 in ASF
    
    Supported upload protocols include:
    
     * sftp (FTP through SSH)
     * ftps (FTP encapsulated in TLS/SSL)
     * ftp (plain insecure FTP - don't use this)
    
    License
    -------
    Copyright 2008 - 2009 Daniel G. Taylor <dan@programmer-art.org>
    
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""

import encoders
import metadata
import settings
import uploaders
import utils

