#!/usr/bin/env python

"""
    STP Video Encoder Xvid
    ======================
    Xvid / MP3 in AVI encoder.
    
    License
    -------
    Copyright 2008 - 2009 Daniel G. Taylor <dan@programmer-art.org>
    For full license information see libstpenc/__init__.py.
    
"""

import logging

from .. import settings

from ..utils import exec_with_progress

from ..encoders.base import Encoder

log = logging.getLogger("libstpenc.encoders.wmv")

BIN_FFMPEG = settings.BIN_FFMPEG

class WmvEnc(Encoder):
    """
        WMV2/WMA2 in ASF encoder.
    """
    ext = "-wmv2.wmv"
    def encode(self):
        log.info("Creating WMV2/WMA (WMV) conversion...")
        
        if self.metadata.has_audio:
            audio = "-acodec wmav2 -ab %dk" % self.abitrate
        else:
            audio = "-an"
        
        cmd = "%s -y -i \"%s\" -s %dx%d -vcodec wmv2 -b %ik %s %s" % \
                 (BIN_FFMPEG, self.infile, self.width, self.height, 
                  self.vbitrate, audio, self.outfile)
        
        log.info("Starting WMV2/WMA encode...")
        exec_with_progress(cmd, self.metadata)
        
        log.debug("WMV done.")

settings.FORMATS["wmv"] = WmvEnc

