#!/usr/bin/env python

"""
    STP Video Encoder Xvid
    ======================
    Xvid / MP3 in AVI encoder.
    
    License
    -------
    Copyright 2008 - 2009 Daniel G. Taylor <dan@programmer-art.org>
    For full license information see libstpenc/__init__.py.
    
"""

import logging

from .. import settings

from ..utils import exec_with_progress

from ..encoders.base import Encoder

log = logging.getLogger("libstpenc.encoders.xvid")

BIN_FFMPEG = settings.BIN_FFMPEG

class XvidEnc(Encoder):
    """
        XVID/MP3 in AVI encoder.
    """
    ext = "-xvid.avi"
    def encode(self):
        log.info("Creating Xvid/MP3 (DivX Home Theater) conversion...")
        
        if self.metadata.has_audio:
            audio = "-acodec libmp3lame -ab %dk -ac 2 " % self.abitrate
        else:
            audio = "-an"
        
        cmd = "%s -y -i \"%s\" -s %dx%d -vcodec libxvid -deinterlace -mbd 2 -g 300 -flags cgop -bf 1 -b %ik %s %s" % \
                 (BIN_FFMPEG, self.infile, self.width, self.height, 
                  self.vbitrate, audio, self.outfile)
        
        log.info("Starting Xvid/MP3 encode...")
        exec_with_progress(cmd, self.metadata)
        
        log.debug("Xvid done.")

settings.FORMATS["xvid"] = XvidEnc

